[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# TObject.GetInterface

Return a reference to an interface

## Declaration

Source position: line 0

`public function TObject.GetInterface(`
`const iid: TGuid;`
`out obj`
`):Boolean; function TObject.GetInterface(`
`const iidstr: shortstring;`
`out obj`
`):Boolean;`

## Description

GetInterface scans the interface tables and returns a reference to the interface iid. The reference is stored in Obj which should be an interface reference. It returns True if the interface was found, False if not.

The reference count of the interface is increased by this call.

## Errors

If no interface was found, False is returned.

## See also

GetInterfaceByStr |  | Return an interface based on its GUID

Documentation generated on: Feb 26 2014